// Mozek.h: interface for the Mozek class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOZEK_H__20A88C03_D498_11D2_8F74_919BB1AAD544__INCLUDED_)
#define AFX_MOZEK_H__20A88C03_D498_11D2_8F74_919BB1AAD544__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/*
class Mozek vymysli tahy pocitace : 
	pro svuj chod potrebuje, aby existovala promnena h typu Hra
	zapouzdruje 4 druhy hracu - od blba az po Piskvorkova  
*/

class Mozek { 
public:
	virtual ~Mozek() {}; 
	Mozek() { srand((unsigned)time(NULL)); }; 	// init nahodnych cisel
	CPoint Mysli();  // vymysli tah

private:
	int moje; // urcuje, za co mozek hraje
   int jeho; // urcuje protivnika
	
	// prohledavani pole - hraci plochy
	int Hledej(CPoint pt,int p,int d, int t, int c, int s);
	int Hledej_inline(CPoint pt,int l3,int l2, int l1, int p1, int p2, int p3);


	CPoint Proces_human(); // snazi se emulovat cloveka - utocnik
	CPoint Proces_extreme(); // max. situaci - obrance
	CPoint Proces_hard();  // menci pocet situci - 0 nahody
	CPoint Proces_medium();  // castecna nahodnost pri vyhodnocovani
	CPoint Proces_easy();	// velka nahodnost pri vyhodnocovani
	CPoint Proces_demo();	// velmi opatrny Demo
	int Nahoda(int kolik);
};

#endif // !defined(AFX_MOZEK_H__20A88C03_D498_11D2_8F74_919BB1AAD544__INCLUDED_)
